Package org.gradle.jvm.application.scripts

## Interface JavaAppStartScriptGenerationDetails

-     public interface JavaAppStartScriptGenerationDetails

  Details for generating Java-based application start scripts.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getApplicationName()` | The display name of the application
    `String` | `getAppNameSystemProperty()` | This system property to use to pass the script name to the application.
    `List<String>` | `getClasspath()` | The classpath, relative to the application home directory.
    `List<String>` | `getDefaultJvmOpts()` |
    `String` | `getExitEnvironmentVar()` | The environment variable to use to control exit value (windows only)
    `String` | `getMainClassName()` |
    `List<String>` | `getModulePath()` | The module path, relative to the application home directory.
    `String` | `getOptsEnvironmentVar()` | The environment variable to use to provide additional options to the JVM
    `String` | `getScriptRelPath()` | The path of the script, relative to the application home directory.

- - ### Method Detail

    - #### getApplicationName

          String getApplicationName()

      The display name of the application

    - #### getOptsEnvironmentVar

          String getOptsEnvironmentVar()

      The environment variable to use to provide additional options to the JVM

    - #### getExitEnvironmentVar

          String getExitEnvironmentVar()

      The environment variable to use to control exit value (windows only)

    - #### getMainClassName

          String getMainClassName()

    - #### getDefaultJvmOpts

          List<String> getDefaultJvmOpts()

    - #### getClasspath

          List<String> getClasspath()

      The classpath, relative to the application home directory.

    - #### getModulePath

          @Incubating
          List<String> getModulePath()

      The module path, relative to the application home directory.
      Since:
        6.4

    - #### getScriptRelPath

          String getScriptRelPath()

      The path of the script, relative to the application home directory.

    - #### getAppNameSystemProperty

          @Nullable
          String getAppNameSystemProperty()

      This system property to use to pass the script name to the application. May be null.